Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

OAuth 2.0 Authentication

Path Parameters

autobillId
string
required

The id or vid of the object.

Query Parameters

quantity
integer<int32>
required

The number of future transactions to fetch. The amount to fetch must be between 1-5.

Required range: 1 <= x <= 5

Response

JSON A list array with a data property that contains an array of up to limit Transactions, starting after the specified starting_after Transaction (or ending before the specified ending_before Transaction). Each entry in the array is a full Transaction object. If no more Transactions are available, the resulting array will be empty. This request should never throw an error. A list of Transaction objects matching the query. Also: "total_count": Integer count of the number of Transaction objects in the returned list. "url": The query string provided in the request "next": The route (partial URL) to the next Transaction object (string to select the “next”); included id should match that of the last object returned here "previous": The route (partial URL) to the previous Transaction object (string to select the “previous”); included id should match that of the first object returned here

A list of Transaction.

object
enum<string>
Available options:
List
total_count
integer

Integer count of the total number of Transaction objects.

data
object[]
url
string

The query string provided in the request

next
string

The route (partial URL) to the next Transaction object (string to select the “next”); included id should match that of the last object returned here.

previous
string

The route (partial URL) to the previous Transaction object (string to select the “previous”); included id should match that of the first object returned here.